Page MenuHomePhabricator

Archive MSSQL project
Closed, ResolvedPublic

Description

Per T230418: Drop support for MSSQL and Oracle from core. Once T191231: RFC: Abstract schemas and schema changes is resolved, existing MSSQL codes are unlikely to be reused.

Resolving this task is blocked on passing the date of end of life of all supported MediaWiki core versions that currently still support this.

Details

Due Date
Jul 31 2021, 10:00 PM

Related Objects

StatusSubtypeAssignedTask
ResolvedAklapper
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedSecurityZabe
ResolvedBUG REPORTLadsgroup
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedMstyles
ResolvedSecuritysbassett
ResolvedSecurityRhinosF1
ResolvedSecurityLegoktm
ResolvedSecurityDannyS712
ResolvedSecurityUrbanecm_WMF
ResolvedSecuritymewoph
ResolvedSecurityUrbanecm_WMF
ResolvedSecurityUrbanecm_WMF
ResolvedSecurityTheVoidwalker
ResolvedReedy

Event Timeline

Aklapper changed the task status from Open to Stalled.Aug 17 2019, 2:15 PM
Aklapper triaged this task as Lowest priority.

Not actionable, hence stalled status.

Which is status of this task? Description of project says: "Support for using this backend was removed in 1.34 (see T230418)."

Can we archive project?

Aklapper set Due Date to Jul 31 2021, 10:00 PM.
Aklapper claimed this task.
Reedy changed the status of subtask T279858: Formally EOL REL1_31 from Open to In Progress.Sep 29 2021, 2:55 PM